## nmap 7.80+dfsg1

=== debian/changelog ===
nmap (7.80+dfsg1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:20:47 +0100

nmap (7.80+dfsg1-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * d/rules: Pass some hardening flags to nmap_service.exe
  * salsa-ci: Disable BLHC test

  [ Hilko Bengen ]
  * Drop zenmap package due to python2 and pygtk removal (Closes: #885498)
  * Use Python3 for ndiff, using Bryan Quigley's patch (PR #1807).
    Closes: #883161

 -- Hilko Bengen <bengen@debian.org>  Fri, 08 Nov 2019 12:41:14 +0100

nmap (7.80+dfsg1-1) unstable; urgency=medium

  * New upstream version 7.80+dfsg1 (Closes: #934728)
  * Disable check for upstream signatures which are apparently
    no longer published.
  * Bump Debhelper compat level
  * Replace dh_install --fail-missing
  * Bump Standards-Version
  * dh_missing
  * Rework patches

 -- Hilko Bengen <bengen@debian.org>  Thu, 15 Aug 2019 09:25:50 +0200

nmap (7.70+dfsg1-6) unstable; urgency=medium

  * Team upload
  * Drop 0004-library-versions.patch, it has been fixed differently
    by upstream, and it is now breaking Ubuntu builds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Dec 2018 15:58:18 +0100

nmap (7.70+dfsg1-5) unstable; urgency=medium

  * d/control: zenmap: move polkit from Depends to Recommends, note
    that the desktop entry of zenmap as root won't work without polkit
    (closes: #912452)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 31 Oct 2018 20:02:43 -0300

nmap (7.70+dfsg1-4) unstable; urgency=medium

  [ Samuel Henrique ]
  * Bump Standards-Version to 4.2.1
  * Update my email to @debian.org
  * d/p/0005: remove ncat's manpage self-reference (closes: #765999)
  * d/control: better ndiff extended description
  * lintian-overrides:
    - ndiff: add description lintian (as nmap and zenmap does)
    - nmap: add false positive lintians
    - nmap-common: add two overrides for READMEs
    - zenmap: add override for pkexec

  [ Christian Ehrhardt ]
  * Fix "zenmap as root" using polkit instead of menu
    (closes: #890728) (LP: #1263311)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 31 Oct 2018 03:26:50 -0300

=== debian/control ===
Source: nmap
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>,
           Samuel Henrique <samueloph@debian.org>
Build-Depends: bison,
               debhelper (>=12~),
               dh-python,
               flex,
               liblinear-dev,
               liblua5.3-dev,
               libpcap0.8-dev,
               libpcre3-dev,
               libssh2-1-dev,
               libssl-dev,
               zlib1g-dev,
               lua-lpeg-dev,
               python3,
Build-Depends-Indep: default-jdk-headless,
                     gcc-mingw-w64-i686
Standards-Version: 4.4.0
Homepage: https://nmap.org/
Vcs-Git: https://salsa.debian.org/pkg-security-team/nmap.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/nmap

Package: nmap
Architecture: any
Depends: nmap-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ncat, ndiff, zenmap
Description: The Network Mapper
 Nmap is a utility for network exploration or security auditing. It
 supports ping scanning (determine which hosts are up), many port
 scanning techniques, version detection (determine service protocols
 and application versions listening behind ports), and TCP/IP
 fingerprinting (remote host OS or device identification). Nmap also
 offers flexible target and port specification, decoy/stealth scanning,
 sunRPC scanning, and more. Most Unix and Windows platforms are
 supported in both GUI and commandline modes. Several popular handheld
 devices are also supported, including the Sharp Zaurus and the iPAQ.

Package: nmap-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: nmap
Replaces: nmap (<< 7.60+dfsg1-1~)
Breaks: nmap (<< 7.60+dfsg1-1~)
Description: Architecture independent files for nmap
 Nmap is a utility for network exploration or security auditing. It
 supports ping scanning (determine which hosts are up), many port
 scanning techniques, version detection (determine service protocols
 and application versions listening behind ports), and TCP/IP
 fingerprinting (remote host OS or device identification). Nmap also
 offers flexible target and port specification, decoy/stealth scanning,
 sunRPC scanning, and more. Most Unix and Windows platforms are
 supported in both GUI and commandline modes. Several popular handheld
 devices are also supported, including the Sharp Zaurus and the iPAQ.
 .
 This package contains the nmap files shared by all architectures.

Package: ndiff
Architecture: all
Recommends: nmap
Breaks: nmap (<< ${source:Version}),
        zenmap (<< 6.47-5~)
Replaces: zenmap (<< 6.47-5~)
Depends: python3-lxml,
         ${misc:Depends},
         ${python3:Depends},
Description: The Network Mapper - result compare utility
 Ndiff is a tool to aid in the comparison of Nmap scans. It takes two
 Nmap XML output files and prints the differences between them them:
 hosts coming up and down, ports becoming open or closed, and things like that.
 It can produce output in human-readable text or machine-readable XML formats.

Package: ncat
Architecture: any
Breaks: nmap (<< 7.70+dfsg1-2~)
Replaces: nmap (<< 7.70+dfsg1-2~)
Depends: ${misc:Depends},  ${shlibs:Depends}
Description: NMAP netcat reimplementation
 ncat is a reimplementation of Netcat by the NMAP project, providing
 most of the features present in the original implementations, along
 with some new features such as IPv6 and SSL support. Port scanning
 support has been removed.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	VENDOR_CONFIGURE_OPTIONS = --with-libssh2=included
endif

%:
	dh $@ --with=python3

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedir=ndiff --buildsystem=pybuild
	rm -f nselib/data/jdwp-class/*.class nselib/data/psexec/*.exe

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-liblua \
		--with-liblinear \
		--without-zenmap \
		--without-ndiff \
		--enable-ipv6 \
		STRIP=/bin/true $(VENDOR_CONFIGURE_OPTIONS)
	dh_auto_configure --sourcedir=ndiff --buildsystem=pybuild

override_dh_auto_build-indep:
	dh_auto_build
	dh_auto_build --sourcedir=ndiff --buildsystem=pybuild
	cd nselib/data/jdwp-class && /usr/lib/jvm/default-java/bin/javac *.java
	cd nselib/data/psexec && i686-w64-mingw32-gcc ${CPPFLAGS} ${CFLAGS} -o nmap_service.exe nmap_service.c

override_dh_auto_test:
	dh_auto_test --sourcedir=ndiff --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedir=ndiff --buildsystem=pybuild
	mv debian/tmp/usr/share/man/pt_PT debian/tmp/usr/share/man/pt

override_dh_missing:
	dh_missing -X/usr/bin/uninstall_ -Xca-bundle.crt -X.pyc --fail-missing

override_dh_install:
	dh_install -X/usr/bin/uninstall_ -Xca-bundle.crt -X.pyc

## nmap 7.91+dfsg1

=== debian/changelog ===
nmap (7.91+dfsg1-1) unstable; urgency=medium

  * New upstream version 7.91+dfsg1
  * Update patches; add patch to fix automake breakage

 -- Hilko Bengen <bengen@debian.org>  Mon, 12 Oct 2020 00:32:24 +0200

nmap (7.80+dfsg1-5) unstable; urgency=medium

  * Make nmap_service.ex_ reproducible, thanks to Chris Lamb for the patch
    (Closes: #964369)

 -- Hilko Bengen <bengen@debian.org>  Mon, 06 Jul 2020 23:01:39 +0200

nmap (7.80+dfsg1-4) unstable; urgency=medium

  * Revert "Enable running all tests" as this caused network activity and
    FTBFS on some autobuilders.

 -- Hilko Bengen <bengen@debian.org>  Sat, 04 Jul 2020 17:00:00 +0200

nmap (7.80+dfsg1-3) unstable; urgency=medium

  [ Hilko Bengen ]
  * Enable running all tests
  * Ship obfuscated nmap_service.ex_ instead of nmap_service.exe (Closes:
    #929272)

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian
  * d/control: Add Rules-Requires-Root: no
  * Bump DH to 13
  * d/p/upstream/signing-key.asc: Remove extra signature
  * Bump Standards Version to 4.5.0

  [ Automatic changes ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 6.25-0.2, 4.76-0ubuntu1.
  * Set debhelper-compat version in Build-Depends.
  * Fix field name typos in debian/copyright.

 -- Hilko Bengen <bengen@debian.org>  Sat, 04 Jul 2020 15:34:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Hilko Bengen <bengen@debian.org>,
            Samuel Henrique <samueloph@debian.org>
 Build-Depends: bison,
-               debhelper (>=12~),
+               debhelper-compat (= 13),
                dh-python,
                flex,
                liblinear-dev,
@@ -19,7 +19,8 @@
                python3,
 Build-Depends-Indep: default-jdk-headless,
                      gcc-mingw-w64-i686
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://nmap.org/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/nmap.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/nmap

## nmap 7.91+dfsg1+really7.80+dfsg1

=== macosx/Makefile ===
# This makefile builds a disk image (.dmg) containing the installer for Nmap,
# Zenmap, Ncat, and Ndiff.

NMAP_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
NMAP_NUM_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_NUM_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
OSX_MIN_VERSION = 10.9

NAME_VERSION = nmap-$(NMAP_VERSION)$(if $(APPENDAGE),-$(APPENDAGE))

IMAGE_NAME = $(NAME_VERSION).dmg
PKG_NAME = $(NAME_VERSION).mpkg

IMAGE_STAGING_DIR = $(NAME_VERSION)

NMAP_BUILD_DIR = nmap-build
NMAP_STAGING_DIR = nmap-root

ZENMAP_BUILD_DIR = zenmap-build
ZENMAP_STAGING_DIR = zenmap-root

NCAT_BUILD_DIR = ncat-build
NCAT_STAGING_DIR = ncat-root

NDIFF_BUILD_DIR = ndiff-build
NDIFF_STAGING_DIR = ndiff-root

NPING_BUILD_DIR = nping-build
NPING_STAGING_DIR = nping-root

NMAP_UPDATE_BUILD_DIR = nmap-update-build
NMAP_UPDATE_STAGING_DIR = nmap-update-root

JHBUILD_PREFIX=$(HOME)/gtk/inst
JHBUILD_SOURCE=$(HOME)/gtk/source
PREFIX = /usr/local

# Extra distribution file names
README_FILE = README.md
COPYING_FILE = COPYING
3RD_P_LIC_FILE = 3rd-party-licenses.txt
LICENSES_FILE = licenses

EXTRA_DIST = README.md ../COPYING ../docs/3rd-party-licenses.txt ../docs/licenses

CONFIGURE_ARGS = --prefix="$(PREFIX)" --with-libdnet=included --with-libpcap=included --with-libpcre=included --with-liblua=included CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" PYTHON="$(PYTHON)"

# Flags for building universal binaries. See
# http://developer.apple.com/documentation/Porting/Conceptual/PortingUnix/compiling/chapter_4_section_3.html.
UNIVERSAL_CONFIGURE_ARGS = --disable-dependency-tracking
UNIVERSAL_CC = gcc
UNIVERSAL_CXX = g++
# Setting ARCHFLAGS separately is required. distutils.util.get_platform
# sniffs it to determine whether to return a universal architecture
# ("fat" or "universal") or a single one ("i386" or "ppc"). py2app in
# turn uses the arch value to decide which of its bootstrappers to
# install.
UNIVERSAL_ARCHFLAGS = -arch x86_64
UNIVERSAL_CPPFLAGS = -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX$(OSX_VERSION).sdk
UNIVERSAL_CFLAGS = $(UNIVERSAL_CPPFLAGS) -mmacosx-version-min=$(OSX_MIN_VERSION) $(UNIVERSAL_ARCHFLAGS)
UNIVERSAL_CXXFLAGS = $(UNIVERSAL_CFLAGS)
# https://stackoverflow.com/questions/19637164/c-linking-error-after-upgrading-to-mac-os-x-10-9-xcode-5-0-1/19637199#19637199
UNIVERSAL_LDFLAGS = -stdlib=libstdc++ -Wl,-syslibroot,/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX$(OSX_VERSION).sdk -mmacosx-version-min=$(OSX_MIN_VERSION) $(UNIVERSAL_ARCHFLAGS)

CC = $(UNIVERSAL_CC)
CXX = $(UNIVERSAL_CXX)
ARCHFLAGS += $(UNIVERSAL_ARCHFLAGS)
CONFIGURE_ARGS += $(UNIVERSAL_CONFIGURE_ARGS)
CPPFLAGS += $(UNIVERSAL_CPPFLAGS)
CFLAGS += $(UNIVERSAL_CFLAGS)
CXXFLAGS += $(UNIVERSAL_CXXFLAGS)
LDFLAGS += $(UNIVERSAL_LDFLAGS)

# Mac OS options for libraries used by nmap-update
MAC_FLAGS = -lsasl2 -liconv -framework CoreFoundation -framework Security

# Jhbuild static libraries
PYTHON = $(JHBUILD_PREFIX)/bin/python2.7
OPENSSL_STATIC = $(JHBUILD_PREFIX)/lib/libssl.a $(JHBUILD_PREFIX)/lib/libcrypto.a
LIBZ_STATIC = $(JHBUILD_PREFIX)/lib/libz.a
SVN_STATIC = $(JHBUILD_PREFIX)/lib/libsvn_client-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_wc-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_diff-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_delta-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_subr-1.a \
$(JHBUILD_PREFIX)/lib/libexpat.a \
$(JHBUILD_PREFIX)/lib/libsvn_ra-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_ra_svn-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_ra_local-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_fs-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_repos-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_fs_util-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_fs_fs-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_fs_x-1.a \
$(JHBUILD_PREFIX)/lib/libintl.a \
$(JHBUILD_PREFIX)/lib/libsvn_ra_serf-1.a \
$(JHBUILD_PREFIX)/lib/libserf-1.a \
$(JHBUILD_PREFIX)/lib/libz.a \
$(JHBUILD_PREFIX)/lib/libsqlite3.a
APR_STATIC = $(JHBUILD_PREFIX)/lib/libapr-1.a \
$(JHBUILD_PREFIX)/lib/libaprutil-1.a \
$(JHBUILD_PREFIX)/lib/libapriconv-1.a

# These are the positions used by the createdmg.sh and check_test.sh scripts
export ICON_SIZE=88
export FONT_SIZE=13
export MPKG_POS_X=110
export MPKG_POS_Y=170
export APPS_POS_X=110
export APPS_POS_Y=310
export README_POS_X=802
export README_POS_Y=180
export COPYING_POS_X=802
export COPYING_POS_Y=310
export THIRD_P_POS_X=802
export THIRD_P_POS_Y=440
export LICENSES_POS_X=670
export LICENSES_POS_Y=60

$(IMAGE_NAME): tool-checks $(IMAGE_STAGING_DIR)/$(PKG_NAME)
	rm -f $@
	# Create the dmg disk image and convert it to read only disk
	./createdmg.sh $(IMAGE_STAGING_DIR) $(README_FILE) $(COPYING_FILE) $(3RD_P_LIC_FILE) $(LICENSES_FILE)
	# Check the created disk image for the sizes, backgrounds and icons presence and positions
	./check_test.sh $(README_FILE) $(COPYING_FILE) $(3RD_P_LIC_FILE) $(LICENSES_FILE)

tool-checks: have-$(CC) have-jhbuild have-gtk-mac-bundler

have-%:
	which $*

#$(IMAGE_STAGING_DIR)/$(PKG_NAME): check-nmap check-ncat check-ndiff check-zenmap check-nping check-nmap-update COPYING.formatted
$(IMAGE_STAGING_DIR)/$(PKG_NAME): check-nmap check-ncat check-ndiff check-zenmap check-nping COPYING.formatted
	rm -rf $(IMAGE_STAGING_DIR)
	mkdir -p $(IMAGE_STAGING_DIR)
	cp -rf $(EXTRA_DIST) $(IMAGE_STAGING_DIR)/
	# Create packages (.pkg) for all the components to install in the installer (.mpkg)
	pkgbuild --root $(NMAP_STAGING_DIR) --identifier org.insecure.nmap --version $(NMAP_VERSION) --install-location /usr/local nmap.pkg
	pkgbuild --root $(NCAT_STAGING_DIR) --identifier org.insecure.nmap.ncat --version $(NMAP_VERSION) --install-location /usr/local ncat.pkg
	pkgbuild --root $(NDIFF_STAGING_DIR)/usr/local --identifier org.insecure.nmap.ndiff --version $(NMAP_VERSION) --install-location /usr/local ndiff.pkg
	pkgbuild --root $(NPING_STAGING_DIR) --identifier org.insecure.nmap.nping --version $(NMAP_VERSION) --install-location /usr/local nping.pkg
	#pkgbuild --root $(NMAP_UPDATE_STAGING_DIR) --identifier org.insecure.nmap.nmap-update --version $(NMAP_VERSION) --install-location /usr/local nmap-update.pkg
	pkgbuild --root $(ZENMAP_STAGING_DIR) --identifier org.insecure.nmap.zenmap --version $(NMAP_VERSION) --install-location /Applications zenmap.pkg

	# Produce a .xml with packages information
	productbuild --synthesize \
		--package 'nmap.pkg' \
		--package 'ncat.pkg' \
		--package 'ndiff.pkg' \
		--package 'nping.pkg' \
		--package 'zenmap.pkg' \
		distribution.xml

	# Make a new file and add background and title attributes
	head -n 2 distribution.xml > finalDist.xml
	echo "    <title>Nmap $(NMAP_VERSION)</title>" >> finalDist.xml
	# This line is for adding a background image to the .mpkg
	echo "    <background file=\"pkg_bg.jpg\" mime-type=\"image/jpeg\" scaling=\"proportional\" alignment=\"bottomleft\"/>" >> finalDist.xml
	tail -n +3 distribution.xml >> finalDist.xml

	# Build the .mpkg according to the final .xml file (and so all the .pkg)
	productbuild --distribution finalDist.xml --resources . --package-path . $(NAME_VERSION).mpkg

	mv $(NAME_VERSION).mpkg $(NAME_VERSION)/$(NAME_VERSION).mpkg

check-%: stage-%
	if (find $*-root -perm -a+x -type f | xargs otool -L | grep -F "$(JHBUILD_PREFIX)"); then false; else echo "Libs are clean"; fi

export-%:
	rm -rf $*
# Using @BASE discards local changes.
	svn export .. $*

export-tarball:
	rm -rf nmap-$(NMAP_VERSION)
	svn export .. nmap-$(NMAP_VERSION)
	tar czf nmap-$(NMAP_VERSION).tar.gz nmap-$(NMAP_VERSION)
	cp nmap-$(NMAP_VERSION).tar.gz $(JHBUILD_SOURCE)/pkgs/

stage-nmap-update: export-$(NMAP_UPDATE_BUILD_DIR)
	cd $(NMAP_UPDATE_BUILD_DIR) && ./configure --without-zenmap --without-ncat --without-ndiff --without-nping --with-nmap-update --with-apr=$(JHBUILD_PREFIX) --with-subversion=$(JHBUILD_PREFIX) --with-serf=$(JHBUILD_PREFIX) --with-openssl=$(JHBUILD_PREFIX) $(CONFIGURE_ARGS)
	make -C $(NMAP_UPDATE_BUILD_DIR) build-nmap-update APR_LIBS="$(APR_STATIC)" SVN_LIBS="$(SVN_STATIC)" OPENSSL_LIBS="$(OPENSSL_STATIC)" MAC_FLAGS="$(MAC_FLAGS)"
	rm -rf $(NMAP_UPDATE_STAGING_DIR)
	make -C $(NMAP_UPDATE_BUILD_DIR) install-nmap-update DESTDIR="`pwd`/$(NMAP_UPDATE_STAGING_DIR)" APR_LIBS="$(APR_STATIC)" SVN_LIBS="$(SVN_STATIC)" OPENSSL_LIBS="$(OPENSSL_STATIC)" MAC_FLAGS="$(MAC_FLAGS)"

stage-%: export-tarball
	jhbuild -m "file://`pwd`/openssl.modules" build $*
	rm -rf $*-root
	mkdir $*-root
	rsync -a --files-from "$(JHBUILD_PREFIX)/_jhbuild/manifests/$*" "$(JHBUILD_PREFIX)" $*-root/

stage-zenmap: export-$(ZENMAP_BUILD_DIR)
	cd $(ZENMAP_BUILD_DIR)/zenmap && jhbuild run install_scripts/macosx/make-bundle.sh
	rm -rf $(ZENMAP_STAGING_DIR)
	mkdir -p $(ZENMAP_STAGING_DIR)
	cp -rf $(ZENMAP_BUILD_DIR)/zenmap/dist/Zenmap.app $(ZENMAP_STAGING_DIR)

stage-ndiff: export-$(NDIFF_BUILD_DIR)
	mkdir -p $(NDIFF_STAGING_DIR)/usr/local/bin
	mkdir -p $(NDIFF_STAGING_DIR)/usr/local/share/man/man1
	cp $(NDIFF_BUILD_DIR)/ndiff/ndiff.py $(NDIFF_STAGING_DIR)/usr/local/bin/ndiff
	cp $(NDIFF_BUILD_DIR)/ndiff/docs/ndiff.1 $(NDIFF_STAGING_DIR)/usr/local/share/man/man1/

COPYING.formatted:
# Use the license formatter from the Windows installer.
	../mswin32/license-format/licformat.sh ../COPYING > $@

clean:
	rm -rf $(IMAGE_STAGING_DIR)
	rm -rf $(NMAP_BUILD_DIR)
	rm -rf $(NMAP_STAGING_DIR)
	rm -rf $(ZENMAP_BUILD_DIR)
	rm -rf $(ZENMAP_STAGING_DIR)
	rm -rf $(NCAT_BUILD_DIR)
	rm -rf $(NCAT_STAGING_DIR)
	rm -rf $(NDIFF_BUILD_DIR)
	rm -rf $(NDIFF_STAGING_DIR)
	rm -rf $(NPING_BUILD_DIR)
	rm -rf $(NPING_STAGING_DIR)
	rm -rf $(NMAP_UPDATE_BUILD_DIR)
	rm -rf $(NMAP_UPDATE_STAGING_DIR)
	rm -f COPYING.formatted
	rm -f $(IMAGE_NAME)
	rm -rf distribution.xml finalDist.xml nmap.pkg ncat.pkg ndiff.pkg nping.pkg nmap-update.pkg zenmap.pkg

.PHONY: clean export-% stage-%

=== debian/changelog ===
nmap (7.91+dfsg1+really7.80+dfsg1-2ubuntu0.1) jammy; urgency=medium

  * d/p/avoid-assertion-failure-when-unsolicited-arp-response-received.patch:
    Check if a timeout clock is running before attempting to stop it.
    (LP: #1908223)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 12 Jan 2023 09:40:55 -0800

nmap (7.91+dfsg1+really7.80+dfsg1-2build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 16:03:28 +0100

nmap (7.91+dfsg1+really7.80+dfsg1-2) unstable; urgency=medium

  * d/p/update-mac-prefixes.patch: New patch to update file based on
    upstream's 7.91 release

 -- Samuel Henrique <samueloph@debian.org>  Wed, 17 Mar 2021 17:09:14 +0000

nmap (7.91+dfsg1+really7.80+dfsg1-1) unstable; urgency=medium

  * New upstream version 7.91+dfsg1+really7.80+dfsg1
    - Rolling back to 7.80 as the latest version has a license issue which
      most likely makes nmap not compatible with the DFSG. There are still
      discussions ongoing and upstream is deciding on what to do, meanwhile
      we are rolling back to the previous release as we are getting close
      to bullseye becoming stable. More info at the bug this is closing or
      at upstream discussion on github:
      https://github.com/nmap/nmap/issues/2199
      (closes: #972216)
  * Bump Standards-Version to 4.5.1
  * Revert "Update patches; add patch to fix automake breakage" due
    to the rollback

 -- Samuel Henrique <samueloph@debian.org>  Tue, 02 Feb 2021 22:01:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nmap
 Section: net
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>,
            Samuel Henrique <samueloph@debian.org>
 Build-Depends: bison,
@@ -19,7 +20,7 @@
                python3,
 Build-Depends-Indep: default-jdk-headless,
                      gcc-mingw-w64-i686
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://nmap.org/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/nmap.git

=== debian/watch ===
version=4
opts="uversionmangle=s/(beta|test)/~\\1/i,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,repack,compression=xz" \
    https://nmap.org/dist/nmap-(\d+\..*)\.tar.*

## nmap 7.92+dfsg2

=== debian/changelog ===
nmap (7.92+dfsg2-1ubuntu1) kinetic; urgency=medium

  * d/rules: use external libssh2, as the nmap dfsg tarball no longer has it
    bundled (LP: #1970630)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 27 Apr 2022 11:48:20 -0300

nmap (7.92+dfsg2-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream version 7.92+dfsg2-1 (closes: #995340)
    This is the last release that can still use the previous DFSG-compatible
    license. We haven't decided yet what to do with the next ones but it might
    take a bit for them to be packaged.
  * d/copyright: Add missing libssh2 to Files-Excluded
  * d/patches:
    - Refresh patches
    - 0004-Python3-port-of-ndiff.patch: Update patch
    - update-mac-prefixes.patch: Drop patch, unneeded

 -- Samuel Henrique <samueloph@debian.org>  Mon, 10 Jan 2022 21:27:10 -0300

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=python3

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedir=ndiff --buildsystem=pybuild
	rm -f nselib/data/jdwp-class/*.class nselib/data/psexec/nmap_service.ex*

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-liblua \
		--with-liblinear \
		--without-zenmap \
		--without-ndiff \
		--enable-ipv6 \
		STRIP=/bin/true
	dh_auto_configure --sourcedir=ndiff --buildsystem=pybuild

override_dh_auto_build-indep:
	dh_auto_build
	dh_auto_build --sourcedir=ndiff --buildsystem=pybuild
	cd nselib/data/jdwp-class && /usr/lib/jvm/default-java/bin/javac *.java
	cd nselib/data/psexec && \
		i686-w64-mingw32-gcc ${CPPFLAGS} ${CFLAGS} -o nmap_service.exe nmap_service.c && \
		gzip -c -n9 nmap_service.exe | base64 | tac > nmap_service.ex_

override_dh_auto_test:
	dh_auto_test --sourcedir=ndiff --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedir=ndiff --buildsystem=pybuild
	mv debian/tmp/usr/share/man/pt_PT debian/tmp/usr/share/man/pt

override_dh_missing:
	dh_missing -X/usr/bin/uninstall_ -Xca-bundle.crt -X.pyc -Xnmap_service.exe --fail-missing

override_dh_install:
	dh_install -X/usr/bin/uninstall_ -Xca-bundle.crt -X.pyc -Xnmap_service.exe

## nmap 7.93+dfsg1

=== macosx/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 # This makefile builds a disk image (.dmg) containing the installer for Nmap,
 # Zenmap, Ncat, and Ndiff.
 
-NMAP_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
-NMAP_NUM_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_NUM_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
+export NMAP_VERSION := $(shell echo NMAP_VERSION | $(CPP) -imacros ../nmap.h - | sed -n '$$s/[" ]//g;$$p')
+#OSX_VERSION=$(shell sw_vers -productVersion | cut -d'.' -f1,2 | tr -d ' ')
+OSX_VERSION=10.11
 OSX_MIN_VERSION = 10.9
 
 NAME_VERSION = nmap-$(NMAP_VERSION)$(if $(APPENDAGE),-$(APPENDAGE))
@@ -26,9 +27,6 @@
 
 NPING_BUILD_DIR = nping-build
 NPING_STAGING_DIR = nping-root
-
-NMAP_UPDATE_BUILD_DIR = nmap-update-build
-NMAP_UPDATE_STAGING_DIR = nmap-update-root
 
 JHBUILD_PREFIX=$(HOME)/gtk/inst
 JHBUILD_SOURCE=$(HOME)/gtk/source
@@ -36,11 +34,11 @@
 
 # Extra distribution file names
 README_FILE = README.md
-COPYING_FILE = COPYING
+LICENSE_FILE = LICENSE
 3RD_P_LIC_FILE = 3rd-party-licenses.txt
 LICENSES_FILE = licenses
 
-EXTRA_DIST = README.md ../COPYING ../docs/3rd-party-licenses.txt ../docs/licenses
+EXTRA_DIST = README.md ../LICENSE ../docs/3rd-party-licenses.txt ../docs/licenses
 
 CONFIGURE_ARGS = --prefix="$(PREFIX)" --with-libdnet=included --with-libpcap=included --with-libpcre=included --with-liblua=included CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" PYTHON="$(PYTHON)"
 
@@ -70,35 +68,10 @@
 CXXFLAGS += $(UNIVERSAL_CXXFLAGS)
 LDFLAGS += $(UNIVERSAL_LDFLAGS)
 
-# Mac OS options for libraries used by nmap-update
-MAC_FLAGS = -lsasl2 -liconv -framework CoreFoundation -framework Security
-
 # Jhbuild static libraries
 PYTHON = $(JHBUILD_PREFIX)/bin/python2.7
 OPENSSL_STATIC = $(JHBUILD_PREFIX)/lib/libssl.a $(JHBUILD_PREFIX)/lib/libcrypto.a
 LIBZ_STATIC = $(JHBUILD_PREFIX)/lib/libz.a
-SVN_STATIC = $(JHBUILD_PREFIX)/lib/libsvn_client-1.a \
-$(JHBUILD_PREFIX)/lib/libsvn_wc-1.a \
-$(JHBUILD_PREFIX)/lib/libsvn_diff-1.a \
-$(JHBUILD_PREFIX)/lib/libsvn_delta-1.a \
-$(JHBUILD_PREFIX)/lib/libsvn_subr-1.a \
-$(JHBUILD_PREFIX)/lib/libexpat.a \
-$(JHBUILD_PREFIX)/lib/libsvn_ra-1.a \
-$(JHBUILD_PREFIX)/lib/libsvn_ra_svn-1.a \
-$(JHBUILD_PREFIX)/lib/libsvn_ra_local-1.a \
-$(JHBUILD_PREFIX)/lib/libsvn_fs-1.a \
-$(JHBUILD_PREFIX)/lib/libsvn_repos-1.a \
-$(JHBUILD_PREFIX)/lib/libsvn_fs_util-1.a \
-$(JHBUILD_PREFIX)/lib/libsvn_fs_fs-1.a \
-$(JHBUILD_PREFIX)/lib/libsvn_fs_x-1.a \
-$(JHBUILD_PREFIX)/lib/libintl.a \
-$(JHBUILD_PREFIX)/lib/libsvn_ra_serf-1.a \
-$(JHBUILD_PREFIX)/lib/libserf-1.a \
-$(JHBUILD_PREFIX)/lib/libz.a \
-$(JHBUILD_PREFIX)/lib/libsqlite3.a
-APR_STATIC = $(JHBUILD_PREFIX)/lib/libapr-1.a \
-$(JHBUILD_PREFIX)/lib/libaprutil-1.a \
-$(JHBUILD_PREFIX)/lib/libapriconv-1.a
 
 # These are the positions used by the createdmg.sh and check_test.sh scripts
 export ICON_SIZE=88
@@ -109,8 +82,8 @@
 export APPS_POS_Y=310
 export README_POS_X=802
 export README_POS_Y=180
-export COPYING_POS_X=802
-export COPYING_POS_Y=310
+export LICENSE_POS_X=802
+export LICENSE_POS_Y=310
 export THIRD_P_POS_X=802
 export THIRD_P_POS_Y=440
 export LICENSES_POS_X=670
@@ -119,17 +92,17 @@
 $(IMAGE_NAME): tool-checks $(IMAGE_STAGING_DIR)/$(PKG_NAME)
 	rm -f $@
 	# Create the dmg disk image and convert it to read only disk
-	./createdmg.sh $(IMAGE_STAGING_DIR) $(README_FILE) $(COPYING_FILE) $(3RD_P_LIC_FILE) $(LICENSES_FILE)
+	./createdmg.sh $(IMAGE_STAGING_DIR) $(README_FILE) $(LICENSE_FILE) $(3RD_P_LIC_FILE) $(LICENSES_FILE)
 	# Check the created disk image for the sizes, backgrounds and icons presence and positions
-	./check_test.sh $(README_FILE) $(COPYING_FILE) $(3RD_P_LIC_FILE) $(LICENSES_FILE)
+	./check_test.sh $(README_FILE) $(LICENSE_FILE) $(3RD_P_LIC_FILE) $(LICENSES_FILE)
 
 tool-checks: have-$(CC) have-jhbuild have-gtk-mac-bundler
 
 have-%:
 	which $*
 
-#$(IMAGE_STAGING_DIR)/$(PKG_NAME): check-nmap check-ncat check-ndiff check-zenmap check-nping check-nmap-update COPYING.formatted
-$(IMAGE_STAGING_DIR)/$(PKG_NAME): check-nmap check-ncat check-ndiff check-zenmap check-nping COPYING.formatted
+#$(IMAGE_STAGING_DIR)/$(PKG_NAME): check-nmap check-ncat check-ndiff check-zenmap check-nping LICENSE.formatted
+$(IMAGE_STAGING_DIR)/$(PKG_NAME): check-nmap check-ncat check-ndiff check-zenmap check-nping LICENSE.formatted
 	rm -rf $(IMAGE_STAGING_DIR)
 	mkdir -p $(IMAGE_STAGING_DIR)
 	cp -rf $(EXTRA_DIST) $(IMAGE_STAGING_DIR)/
@@ -138,7 +111,6 @@
 	pkgbuild --root $(NCAT_STAGING_DIR) --identifier org.insecure.nmap.ncat --version $(NMAP_VERSION) --install-location /usr/local ncat.pkg
 	pkgbuild --root $(NDIFF_STAGING_DIR)/usr/local --identifier org.insecure.nmap.ndiff --version $(NMAP_VERSION) --install-location /usr/local ndiff.pkg
 	pkgbuild --root $(NPING_STAGING_DIR) --identifier org.insecure.nmap.nping --version $(NMAP_VERSION) --install-location /usr/local nping.pkg
-	#pkgbuild --root $(NMAP_UPDATE_STAGING_DIR) --identifier org.insecure.nmap.nmap-update --version $(NMAP_VERSION) --install-location /usr/local nmap-update.pkg
 	pkgbuild --root $(ZENMAP_STAGING_DIR) --identifier org.insecure.nmap.zenmap --version $(NMAP_VERSION) --install-location /Applications zenmap.pkg
 
 	# Produce a .xml with packages information
@@ -176,13 +148,29 @@
 	tar czf nmap-$(NMAP_VERSION).tar.gz nmap-$(NMAP_VERSION)
 	cp nmap-$(NMAP_VERSION).tar.gz $(JHBUILD_SOURCE)/pkgs/
 
-stage-nmap-update: export-$(NMAP_UPDATE_BUILD_DIR)
-	cd $(NMAP_UPDATE_BUILD_DIR) && ./configure --without-zenmap --without-ncat --without-ndiff --without-nping --with-nmap-update --with-apr=$(JHBUILD_PREFIX) --with-subversion=$(JHBUILD_PREFIX) --with-serf=$(JHBUILD_PREFIX) --with-openssl=$(JHBUILD_PREFIX) $(CONFIGURE_ARGS)
-	make -C $(NMAP_UPDATE_BUILD_DIR) build-nmap-update APR_LIBS="$(APR_STATIC)" SVN_LIBS="$(SVN_STATIC)" OPENSSL_LIBS="$(OPENSSL_STATIC)" MAC_FLAGS="$(MAC_FLAGS)"
-	rm -rf $(NMAP_UPDATE_STAGING_DIR)
-	make -C $(NMAP_UPDATE_BUILD_DIR) install-nmap-update DESTDIR="`pwd`/$(NMAP_UPDATE_STAGING_DIR)" APR_LIBS="$(APR_STATIC)" SVN_LIBS="$(SVN_STATIC)" OPENSSL_LIBS="$(OPENSSL_STATIC)" MAC_FLAGS="$(MAC_FLAGS)"
-
-stage-%: export-tarball
+xstage-nmap: export-$(NMAP_BUILD_DIR)
+	cd $(NMAP_BUILD_DIR) && ./configure --without-zenmap --without-ncat --without-ndiff --without-nping --with-openssl="$(JHBUILD_PREFIX)" --with-libz="$(JHBUILD_PREFIX)" $(CONFIGURE_ARGS)
+	# LIB* is libssh2's name for *_LIBS
+	make -C $(NMAP_BUILD_DIR) OPENSSL_LIBS="$(OPENSSL_STATIC)" LIBSSL="$(OPENSSL_STATIC)" ZLIB_LIBS="$(LIBZ_STATIC)" LIBZ="$(LIBZ_STATIC)"
+	rm -rf $(NMAP_STAGING_DIR)
+	make -C $(NMAP_BUILD_DIR) install DESTDIR="`pwd`/$(NMAP_STAGING_DIR)" OPENSSL_LIBS="$(OPENSSL_STATIC)" ZLIB_LIBS="$(LIBZ_STATIC)"
+
+xstage-ncat: export-$(NCAT_BUILD_DIR)
+	cd $(NCAT_BUILD_DIR) && ./configure --without-zenmap --with-ncat --without-ndiff --without-nping --with-openssl="$(JHBUILD_PREFIX)" $(CONFIGURE_ARGS)
+	make -C $(NCAT_BUILD_DIR) build-ncat OPENSSL_LIBS="$(OPENSSL_STATIC)"
+	rm -rf $(NCAT_STAGING_DIR)
+	make -C $(NCAT_BUILD_DIR) install-ncat DESTDIR="`pwd`/$(NCAT_STAGING_DIR)" OPENSSL_LIBS="$(OPENSSL_STATIC)"
+
+xstage-nping: export-$(NPING_BUILD_DIR)
+	cd $(NPING_BUILD_DIR) && ./configure --without-zenmap --without-ncat --without-ndiff --with-nping --with-openssl="$(JHBUILD_PREFIX)" $(CONFIGURE_ARGS)
+	make -C $(NPING_BUILD_DIR) build-nping OPENSSL_LIBS="$(OPENSSL_STATIC)"
+	rm -rf $(NPING_STAGING_DIR)
+	make -C $(NPING_BUILD_DIR) install-nping DESTDIR="`pwd`/$(NPING_STAGING_DIR)" OPENSSL_LIBS="$(OPENSSL_STATIC)"
+
+openssl.modules: ../nmap.h
+	sed -i.bak '/ENTITY nmap_version/s/\".*\"/\"$(NMAP_VERSION)\"/' $@
+
+stage-%: export-tarball openssl.modules
 	jhbuild -m "file://`pwd`/openssl.modules" build $*
 	rm -rf $*-root
 	mkdir $*-root
@@ -200,9 +188,9 @@
 	cp $(NDIFF_BUILD_DIR)/ndiff/ndiff.py $(NDIFF_STAGING_DIR)/usr/local/bin/ndiff
 	cp $(NDIFF_BUILD_DIR)/ndiff/docs/ndiff.1 $(NDIFF_STAGING_DIR)/usr/local/share/man/man1/
 
-COPYING.formatted:
+LICENSE.formatted:
 # Use the license formatter from the Windows installer.
-	../mswin32/license-format/licformat.sh ../COPYING > $@
+	../mswin32/license-format/licformat.sh ../LICENSE > $@
 
 clean:
 	rm -rf $(IMAGE_STAGING_DIR)
@@ -216,10 +204,8 @@
 	rm -rf $(NDIFF_STAGING_DIR)
 	rm -rf $(NPING_BUILD_DIR)
 	rm -rf $(NPING_STAGING_DIR)
-	rm -rf $(NMAP_UPDATE_BUILD_DIR)
-	rm -rf $(NMAP_UPDATE_STAGING_DIR)
-	rm -f COPYING.formatted
+	rm -f LICENSE.formatted
 	rm -f $(IMAGE_NAME)
-	rm -rf distribution.xml finalDist.xml nmap.pkg ncat.pkg ndiff.pkg nping.pkg nmap-update.pkg zenmap.pkg
+	rm -rf distribution.xml finalDist.xml nmap.pkg ncat.pkg ndiff.pkg nping.pkg zenmap.pkg
 
 .PHONY: clean export-% stage-%

=== debian/changelog ===
nmap (7.93+dfsg1-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream version 7.93+dfsg1
    - There are still discussions ongoing on whether NMAP's license is
      DFSG-free or not, you can keep an eye on the following places for
      updates:
      https://bugs.debian.org/1025650
      https://github.com/nmap/nmap/issues/2199
  * Bump Standards-Version to 4.6.2
  * d/nmap-common.lintian-overrides: Update overrides as lintian changed
    finding's names
  * d/copyright: Remove entries for non-existent files
  * d/nmap.lintian-overrides: Remove unused overrides

  [ Andreas Hasenack ]
  * d/rules: drop Ubuntu-specific configure option

  [ Debian Janitor ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster

 -- Samuel Henrique <samueloph@debian.org>  Mon, 16 Jan 2023 20:23:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nmap
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>,
            Samuel Henrique <samueloph@debian.org>
 Build-Depends: bison,
@@ -20,7 +19,7 @@
                python3,
 Build-Depends-Indep: default-jdk-headless,
                      gcc-mingw-w64-i686
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://nmap.org/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/nmap.git
@@ -48,8 +47,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: nmap
-Replaces: nmap (<< 7.60+dfsg1-1~)
-Breaks: nmap (<< 7.60+dfsg1-1~)
 Description: Architecture independent files for nmap
  Nmap is a utility for network exploration or security auditing. It
  supports ping scanning (determine which hosts are up), many port
@@ -66,9 +63,7 @@
 Package: ndiff
 Architecture: all
 Recommends: nmap
-Breaks: nmap (<< ${source:Version}),
-        zenmap (<< 6.47-5~)
-Replaces: zenmap (<< 6.47-5~)
+Breaks: nmap (<< ${source:Version})
 Depends: python3-lxml,
          ${misc:Depends},
          ${python3:Depends},
@@ -80,8 +75,6 @@
 
 Package: ncat
 Architecture: any
-Breaks: nmap (<< 7.70+dfsg1-2~)
-Replaces: nmap (<< 7.70+dfsg1-2~)
 Depends: ${misc:Depends},  ${shlibs:Depends}
 Description: NMAP netcat reimplementation
  ncat is a reimplementation of Netcat by the NMAP project, providing

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:

## nmap 7.94+dfsg1

=== macosx/Makefile ===
--- 
+++ 
@@ -2,9 +2,8 @@
 # Zenmap, Ncat, and Ndiff.
 
 export NMAP_VERSION := $(shell echo NMAP_VERSION | $(CPP) -imacros ../nmap.h - | sed -n '$$s/[" ]//g;$$p')
-#OSX_VERSION=$(shell sw_vers -productVersion | cut -d'.' -f1,2 | tr -d ' ')
-OSX_VERSION=10.11
-OSX_MIN_VERSION = 10.9
+OSX_VERSION=$(shell sw_vers -productVersion | cut -d'.' -f1,2 | tr -d ' ')
+OSX_MIN_VERSION = 10.15
 
 NAME_VERSION = nmap-$(NMAP_VERSION)$(if $(APPENDAGE),-$(APPENDAGE))
 
@@ -42,34 +41,11 @@
 
 CONFIGURE_ARGS = --prefix="$(PREFIX)" --with-libdnet=included --with-libpcap=included --with-libpcre=included --with-liblua=included CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" PYTHON="$(PYTHON)"
 
-# Flags for building universal binaries. See
-# http://developer.apple.com/documentation/Porting/Conceptual/PortingUnix/compiling/chapter_4_section_3.html.
-UNIVERSAL_CONFIGURE_ARGS = --disable-dependency-tracking
-UNIVERSAL_CC = gcc
-UNIVERSAL_CXX = g++
-# Setting ARCHFLAGS separately is required. distutils.util.get_platform
-# sniffs it to determine whether to return a universal architecture
-# ("fat" or "universal") or a single one ("i386" or "ppc"). py2app in
-# turn uses the arch value to decide which of its bootstrappers to
-# install.
-UNIVERSAL_ARCHFLAGS = -arch x86_64
-UNIVERSAL_CPPFLAGS = -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX$(OSX_VERSION).sdk
-UNIVERSAL_CFLAGS = $(UNIVERSAL_CPPFLAGS) -mmacosx-version-min=$(OSX_MIN_VERSION) $(UNIVERSAL_ARCHFLAGS)
-UNIVERSAL_CXXFLAGS = $(UNIVERSAL_CFLAGS)
-# https://stackoverflow.com/questions/19637164/c-linking-error-after-upgrading-to-mac-os-x-10-9-xcode-5-0-1/19637199#19637199
-UNIVERSAL_LDFLAGS = -stdlib=libstdc++ -Wl,-syslibroot,/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX$(OSX_VERSION).sdk -mmacosx-version-min=$(OSX_MIN_VERSION) $(UNIVERSAL_ARCHFLAGS)
-
-CC = $(UNIVERSAL_CC)
-CXX = $(UNIVERSAL_CXX)
-ARCHFLAGS += $(UNIVERSAL_ARCHFLAGS)
-CONFIGURE_ARGS += $(UNIVERSAL_CONFIGURE_ARGS)
-CPPFLAGS += $(UNIVERSAL_CPPFLAGS)
-CFLAGS += $(UNIVERSAL_CFLAGS)
-CXXFLAGS += $(UNIVERSAL_CXXFLAGS)
-LDFLAGS += $(UNIVERSAL_LDFLAGS)
+CFLAGS = -mmacosx-version-min=$(OSX_MIN_VERSION)
+CXXFLAGS = -mmacosx-version-min=$(OSX_MIN_VERSION)
 
 # Jhbuild static libraries
-PYTHON = $(JHBUILD_PREFIX)/bin/python2.7
+PYTHON = $(JHBUILD_PREFIX)/bin/python3
 OPENSSL_STATIC = $(JHBUILD_PREFIX)/lib/libssl.a $(JHBUILD_PREFIX)/lib/libcrypto.a
 LIBZ_STATIC = $(JHBUILD_PREFIX)/lib/libz.a
 
@@ -135,7 +111,7 @@
 	mv $(NAME_VERSION).mpkg $(NAME_VERSION)/$(NAME_VERSION).mpkg
 
 check-%: stage-%
-	if (find $*-root -perm -a+x -type f | xargs otool -L | grep -F "$(JHBUILD_PREFIX)"); then false; else echo "Libs are clean"; fi
+	(find $*-root -perm -a+x -type f | xargs otool -L | awk '/:$$/{e=$$0}index($$0,"$(JHBUILD_PREFIX)"){x=1;print e; print}END{exit x}') && echo "Libs are clean"
 
 export-%:
 	rm -rf $*

=== debian/changelog ===
nmap (7.94+dfsg1-2) unstable; urgency=medium

  * Switch to PCRE2, using patches from upstream git (Closes: #1000012)

 -- Hilko Bengen <bengen@debian.org>  Tue, 04 Jul 2023 13:25:28 +0200

nmap (7.94+dfsg1-1) unstable; urgency=medium

  * New upstream version 7.94+dfsg1
  * Update liblua dependency to 5.4
  * d/patches: Update patches for new release
  * d/watch: Change repack suffix to drop enumeration '1'

 -- Samuel Henrique <samueloph@debian.org>  Tue, 23 May 2023 22:35:31 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                dh-python,
                flex,
                liblinear-dev,
-               liblua5.3-dev,
+               liblua5.4-dev,
                libpcap0.8-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                libssh2-1-dev,
                libssl-dev,
                zlib1g-dev,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--with-liblua \
+		--with-liblua=/usr \
 		--with-liblinear \
 		--without-zenmap \
 		--without-ndiff \

## nmap 7.94+git20230807.3be01efb1+dfsg

=== examples/Makefile ===
CC = gcc
CCOPT =
DEFS =
NBASEDIR=../../nbase
NSOCKLIB=../src/libnsock.a
NBASELIB=$(NBASEDIR)/libnbase.a
OPENSSLLIB=-lssl -lpcap -lcrypto
INCLS = -I../include -I$(NBASEDIR)
CFLAGS =  -I/usr/local/include -Wall -g $(CCOPT) $(DEFS) $(INCLS)
LDFLAGS =
PCAPBASEDIR=../../libpcap
PCAPLIB=$(PCAPBASEDIR)/libpcap.a
RM = rm -f

TARGETS = nsock_test_timers nsock_telnet

all: $(TARGETS)

nsock_telnet: nsock_telnet.o $(NSOCKLIB)
	$(CC) -o $@ $(CFLAGS) nsock_telnet.o $(NSOCKLIB) $(NBASELIB) $(OPENSSLLIB)

nsock_test_timers: nsock_test_timers.o $(NSOCKLIB)
	$(CC) -o $@ $(CFLAGS) nsock_test_timers.o $(NSOCKLIB) $(NBASELIB) $(OPENSSLLIB)

nsock_pcap: nsock_pcap.o $(NSOCKLIB) $(PCAPLIB)
	$(CC) -o $@ $(CFLAGS) nsock_pcap.o $(NSOCKLIB) $(NBASELIB) $(OPENSSLLIB) $(PCAPLIB)

clean:
	$(RM) *.o $(TARGETS)

=== install_scripts/windows/Makefile ===
export MSYS2_ARG_CONV_EXCL=""
all: dist/zenmap-w64-deletelog.txt mingw-w64-x86_64-python-zenmap-*.pkg.tar.zst
	./build.sh

mingw-w64-x86_64-python-zenmap-%.pkg.tar.zst: PKGBUILD
	makepkg-mingw -RdfL

dist/zenmap-w64-deletelog.txt: tmp.cfg mingw-w64-x86_64-python-zenmap-*.pkg.tar.zst
	styrene -p . -o $(dir $@) tmp.cfg --no-exe --no-zip

tmp.cfg: styrene.cfg ../utils/get_deps.py
	python3 ../utils/get_deps.py $@ $<

clean:
	rm -rf tmp.cfg pkg/ src/ dist/ mingw-w64-*-package.log* mingw-w64-*.zst

=== debian/changelog ===
nmap (7.94+git20230807.3be01efb1+dfsg-4~bpo12+1) bookworm-backports; urgency=medium

  * Team upload.
  * Rebuild for bookworm-backports.

 -- Matheus Polkorny <mpolkorny@gmail.com>  Thu, 28 Nov 2024 23:18:05 -0300

nmap (7.94+git20230807.3be01efb1+dfsg-4) unstable; urgency=medium

  [ Hilko Bengen ]
  * Add missing zenmap dependency.
    Thanks to Yadd <yadd@debian.org> (Closes: #1063824)

  [ Antonio Terceiro ]
  * debian/rules: filter out build flag not supported by i686-w64-mingw32-gcc
    (Closes: #1069391)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 04 Jun 2024 13:40:09 -0300

nmap (7.94+git20230807.3be01efb1+dfsg-3) unstable; urgency=medium

  * Re-introduce zenmap package (Closes: #1057744)
  * Fix irregular version number for zenmap
  * Fix make install breakage

 -- Hilko Bengen <bengen@debian.org>  Sun, 24 Dec 2023 22:32:17 +0100

nmap (7.94+git20230807.3be01efb1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove d/p/0003-Link-against-lua-lpeg.patch:
    - It is being removed because it is no longer needed, since the problem
    was resolved in 2016, and because it is making the package unreproduciple.
    The build failed due to "undefined reference to luaopen_lpeg(lua_State*)".
    More info at the bug this is related or at upstream discussion on github:
    https://github.com/nmap/nmap/issues/237
    https://seclists.org/nmap-dev/2016/q1/268
    (closes: #1054687)

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Fri, 27 Oct 2023 19:42:53 -0300

nmap (7.94+git20230807.3be01efb1+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Samuel Henrique <samueloph@debian.org>  Wed, 16 Aug 2023 19:49:50 +0100

nmap (7.94+git20230807.3be01efb1+dfsg-1) unstable; urgency=medium

  * New upstream version 7.94+git20230807.3be01efb1+dfsg
  * d/patches: Drop all upstream patches:
    - upstream-Handle-unknown-service-name-in-p.patch
    - upstream-Ncat-server-udp-do-not-quit-after-EOF-on-STDIN.patch
    - upstream-Remove-nse_pcrelib-from-build.patch
    - upstream-Upgrade-libpcre-to-PCRE2-10.42.-Windows-macOS-bu.patch

 -- Samuel Henrique <samueloph@debian.org>  Mon, 07 Aug 2023 19:07:50 +0100

nmap (7.94+dfsg1-4) unstable; urgency=medium

  * d/p/upstream-Handle-unknown-service-name-in-p.patch: New patch to fix -p
    parameter's SIGSEGV (closes: #1043171)

 -- Samuel Henrique <samueloph@debian.org>  Mon, 07 Aug 2023 14:49:07 +0100

nmap (7.94+dfsg1-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Samuel Henrique <samueloph@debian.org>  Wed, 02 Aug 2023 19:58:35 +0100

nmap (7.94+dfsg1-3) unstable; urgency=medium

  [ Samuel Henrique ]
  * d/p/upstream-Ncat-server-udp...: New patch to fix UDP server listener
    (closes: #1039613)

  [ Wookey ]
  * d/clean: Create file and add build artifact to it (closes: #1011638)

 -- Samuel Henrique <samueloph@debian.org>  Thu, 27 Jul 2023 20:09:55 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,13 @@
                libpcre2-dev,
                libssh2-1-dev,
                libssl-dev,
-               zlib1g-dev,
                lua-lpeg-dev,
                python3,
+               python3-gi, 
+               gir1.2-gtk-3.0,
+               gir1.2-pango-1.0,
+               gir1.2-glib-2.0,
+               gir1.2-gdkpixbuf-2.0,
 Build-Depends-Indep: default-jdk-headless,
                      gcc-mingw-w64-i686
 Standards-Version: 4.6.2
@@ -60,6 +64,25 @@
  .
  This package contains the nmap files shared by all architectures.
 
+Package: zenmap
+Architecture: all
+Depends: ndiff,
+         nmap,
+         python3-gi, 
+         python3-gi-cairo,
+         gir1.2-gtk-3.0,
+         gir1.2-pango-1.0,
+         gir1.2-glib-2.0,
+         gir1.2-gdkpixbuf-2.0,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Recommends: pkexec
+Description: The Network Mapper Front End
+ Zenmap is an Nmap frontend. It is meant to be useful for advanced users
+ and to make Nmap easy to use by beginners. It was originally derived
+ from Umit, an Nmap GUI created as part of the Google Summer of Code.
+
 Package: ndiff
 Architecture: all
 Recommends: nmap

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=python3

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedir=ndiff --buildsystem=pybuild
	dh_auto_clean --sourcedir=zenmap --buildsystem=pybuild
	rm -f nselib/data/jdwp-class/*.class nselib/data/psexec/nmap_service.ex*

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-liblua=/usr \
		--with-liblinear \
		--without-zenmap \
		--without-ndiff \
		--enable-ipv6 \
		STRIP=/bin/true
	dh_auto_configure --sourcedir=ndiff --buildsystem=pybuild
	dh_auto_configure --sourcedir=zenmap --buildsystem=pybuild

mingw_CFLAGS = $(filter-out -mbranch-protection=standard,$(CFLAGS))

override_dh_auto_build-indep:
	dh_auto_build
	dh_auto_build --sourcedir=ndiff --buildsystem=pybuild
	dh_auto_build --sourcedir=zenmap --buildsystem=pybuild
	cd nselib/data/jdwp-class && /usr/lib/jvm/default-java/bin/javac *.java
	cd nselib/data/psexec && \
		i686-w64-mingw32-gcc ${CPPFLAGS} ${mingw_CFLAGS} -o nmap_service.exe nmap_service.c && \
		gzip -c -n9 nmap_service.exe | base64 | tac > nmap_service.ex_

override_dh_auto_test:
	dh_auto_test --sourcedir=ndiff --buildsystem=pybuild
	dh_auto_test --sourcedir=zenmap --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedir=ndiff --buildsystem=pybuild
	dh_auto_install --sourcedir=zenmap --buildsystem=pybuild
	mv debian/tmp/usr/share/man/pt_PT debian/tmp/usr/share/man/pt
